import Content from "./Content";
import { IState } from "../../types";
import {
  createStyles,
  makeStyles,
  Grid,
  Paper,
  AppBar,
  Toolbar,
  Typography,
  Theme,
} from "@material-ui/core";

const useStyles = makeStyles((theme: Theme) =>
  createStyles({
    grid: {
      width: "100%",
      textAlign: "center",
      backgroundColor: "#000",
      color: "#fff",
    },
    root: { flexGrow: 1, backgroundColor: "#4038FF" },
    title: { textAlign: "left", flexGrow: 1 },
    paper: {
      backgroundColor: "#4038FF",
      color: "#fff",
    },
  })
);

const Validators = (props: IState) => {
  const classes = useStyles();

  return (
    <>
      <Content getMember={props.getMember} {...props} />
    </>
  );
};

export default Validators;
